apply from: "${rootProject.rootDir}/buildCommon/commonLibConfig.gradle"
project.ext.setLibDefaultConfig project

android {
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    buildFeatures {
        viewBinding true
    }
}

dependencies {
    implementation project(path: ':commonLib')
    implementation 'androidx.appcompat:appcompat:1.3.1'
    implementation 'com.google.android.material:material:1.4.0'

    // 添加kotlin依赖
    implementation rootProject.ext.dependencies.kotlin
    implementation rootProject.ext.dependencies.kotlin_android
    // 添加rxAndroid依赖
    implementation rootProject.ext.dependencies.rxandroid
    // 添加gson依赖
    implementation rootProject.ext.dependencies.gson
}